Hosted Venue Accounts
Get hosted venue account activity
GET
appIdbearerAuthheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
header
AuthorizationBearer <JWT>JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.
venue*stringmode?stringValue in
"live""paper"page?numberMultiple Of
1Range
0 <= value <= 9999200
application/json- response
venue*"betdex"Value in
"betdex"accountId*stringenvironment*stringValue in
"sandbox""production"asset*"USDC"Value in
"USDC"decimals*18Value in
18page*integerRange
0 <= value <= 9999nextPage*integerRange
0 <= value <= 9999observedAt*stringFormat
date-timeitems*array<>Items
items <= 100curl -X GET 'https://api.t.sufwankhalid.com/users/me/venue-accounts/string/activity'Example Response
{ "venue": "betdex", "accountId": "string", "environment": "sandbox", "asset": "USDC", "decimals": 18, "page": 0, "nextPage": 0, "observedAt": "2019-08-24T14:15:22Z", "items": [ { "id": "string", "code": "Deposit", "amountRaw": "string", "createdAt": "2019-08-24T14:15:22Z" } ]}